/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */

#ifndef GAME_SERVER_ENTITY_DOOR_H
#define GAME_SERVER_ENTITY_DOOR_H

#include <game/server/entity.hpp>

class LASER_DOOR : public ENTITY
{
	vec2 dir;
	float energy;
	class DOOR * ref;
	
	void create();
	
public:
	
	vec2 from;
	
	LASER_DOOR(vec2 pos, int type, class DOOR * r);
	
	virtual void destroy();
	virtual void reset();
	virtual void tick();
	virtual void snap(int snapping_client);
};

#endif
