/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */

#ifndef GAME_SERVER_ENTITY_FLAG_H
#define GAME_SERVER_ENTITY_FLAG_H

#include <game/server/entity.hpp>

class FLAG : public ENTITY
{
public:
	static const int phys_size = 14;
	CHARACTER *carrying_character;
	vec2 vel;
	vec2 stand_pos;
	
	int team;
	int at_stand;
	int drop_tick;
	int grab_tick;
	
	FLAG(int _team);

	virtual void reset();
	virtual void snap(int snapping_client);
};


#endif
